%define module	urwid
%define name	python-%{module}
%define version	1.0.0
%define release %mkrel 3

Summary:	Full-featured Python console user interface library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://excess.org/%{module}/%{module}-%{version}.tar.gz
License:	LGPL
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Url: 		http://excess.org/%{module}
BuildRequires:	python-setuptools
BuildRequires:	python-devel

%description
Urwid is a console user interface library. It includes many features
useful for text console application developers including :

* Applcations resize quickly and smoothly
* Automatic, programmable text alignment and wrapping
* Simple markup for setting text attributes within blocks of text
* Powerful list box with programmable content for scrolling all
  widget types
* Your choice of event loops: Twisted, Glib or built-in
  select-based loop
* Pre-built widgets include edit boxes, buttons, check
  boxes and radio buttons
* Display modules include raw, curses, and
  experimental LCD and web displays
* Support for UTF-8, simple 8-bit and CJK encodings
* 256 and 88 color mode support
* Python 3.2 support

%prep
%setup -q -n %{module}-%{version}

%build
%setup_compile_flags
%__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc CHANGELOG  *html *py
%py_platsitedir/*


%changelog
* Tue Oct 18 2011 Lev Givon <lev@mandriva.org> 1.0.0-3mdv2011.0
+ Revision: 705117
- Build with setuptools.

* Mon Oct 03 2011 Lev Givon <lev@mandriva.org> 1.0.0-2
+ Revision: 702609
- Fix URI.

* Mon Oct 03 2011 Lev Givon <lev@mandriva.org> 1.0.0-1
+ Revision: 702607
- Update to 1.0.0.

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.9.9.1-3mdv2011.0
+ Revision: 593190
- rebuild for py2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Mon Jan 25 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.1-1mdv2010.1
+ Revision: 496353
- update to new version 0.9.9.1

* Mon Dec 07 2009 Lev Givon <lev@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 474583
- Update to 0.9.9.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.8.4-2mdv2010.0
+ Revision: 442530
- rebuild

* Tue Mar 24 2009 Michael Scherer <misc@mandriva.org> 0.9.8.4-1mdv2009.1
+ Revision: 360846
- update to latest release for python 2.6 support

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.9.8.3-1mdv2009.0
+ Revision: 280568
- New version

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 0.9.8-2mdv2009.0
+ Revision: 230904
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.9.8-1mdv2008.0
+ Revision: 19944
- upgrade to 0.9.8

